a13nDocs

创建 skill

POST/api/v1/skills

认证与授权

认证与授权Bearer <token>

工作空间 API 密钥(a13n_...)

传递位置: header

请求头参数

X-Workspace-ID?|

登录会话作用的工作空间 ID,登录会话必须提供。API 密钥作用于自身工作空间,无需提供;禁止指定其他工作空间。

请求体

application/json

TypeScript 类型定义

在 TypeScript 中使用 request body 类型。

name 和 description 默认取自软件包 SKILL.md 中的声明。

响应体

application/json

application/json

application/json

curl -X POST "https://example.com/api/v1/skills" \  -H "Content-Type: application/json" \  -d '{    "source": {      "kind": "upload",      "upload_id": "string"    }  }'
{  "archived_at": "2019-08-24T14:15:22Z",  "created_at": "2019-08-24T14:15:22Z",  "created_by_id": "string",  "default_revision": {    "id": "string",    "number": 0,    "source": {      "kind": "upload",      "upload_id": "string"    }  },  "default_revision_id": "string",  "description": "string",  "id": "string",  "labels": {    "property1": "string",    "property2": "string"  },  "name": "string",  "organization_id": "string",  "updated_at": "2019-08-24T14:15:22Z",  "updated_by_id": "string",  "version": 0,  "workspace_id": "string"}